/* 基础样式重置 */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
 
}
.banner{

  overflow: hidden; /* 清除浮动 */
    float: left; 
	width:100%;
	height:auto;
   background-color:#383838;
}
.img{
	height: auto;  
	 align-items: flex-end;      /* 子元素底部对齐 */
	 float: left; 
	 margin-right:50px; 
}
.img2{
	height: 22px;  
    float: left; 
    text-align: center; /* 文字居中 */
 margin-top:12px;
 margin-left:0px;   
}
.container {
margin-top:12px;
  height:50px;  
  background-color:#FFFFFF;
}
.navbar { 
 width:AUTO;
  overflow: hidden; /* 清除浮动 */
    float: left;   
}
/* 导航栏样式 */
.navbar2 { 
 overflow: hidden; /* 清除浮动 */
    float: right;   
}
 
/* 导航列表样式 */
.nav-list {
    list-style-type: none; /* 移除列表前的点 */
    margin: 0;
    padding: 0;
	font-size:15px; 
	 
}
/* 导航项样式 */
.nav-list li {
    float: left; /* 使导航项水平排列 */
}
 
/* 导航链接样式 */
.nav-list li a {
    display: block; /* 使链接块级显示，填满整个导航项 */
    color: #000; /* 文字颜色 */
    text-align: center; /* 文字居中 */
    padding: 12px 12px; /* 内边距 */
    text-decoration: none; /* 移除下划线 */
}
 
/* 链接 - 鼠标悬停 */
.nav-list li a:hover {
       color: #80A0F0; /* 文字颜色 */
}
.center-Text {
  display: flex;
  justify-content: center; /* 水平居中 */
  align-items: center;     /* 垂直居中 */
  margin-left:10px;
    margin-right:10px;
margin-top:15px;
  color:#ffffff;
}
 .beautiful-button {

    background-color: #4CAFF0; /* 绿色背景 */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px; 
    cursor: pointer;
    border-radius: 8px; /* 圆角 */
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19); /* 阴影效果 */
    transition: background-color 0.3s ease; /* 平滑的颜色变化 */
	margin-top:20px; 
	/margin-left:20px;
  }
 
  .beautiful-button:hover {
    background-color: #4C5FAF; /* 鼠标悬停时的颜色 */
  }
   .beautiful-button2 {
    background-color: #4CAF50; /* 绿色背景 */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px; 
    cursor: pointer;
    border-radius: 8px; /* 圆角 */
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19); /* 阴影效果 */
    transition: background-color 0.3s ease; /* 平滑的颜色变化 */
	margin-top:20px; 
	margin-left:40px;
  }
 
  .beautiful-button2:hover {
    background-color: #123249; /* 鼠标悬停时的颜色 */
  }
   .center-div {
  text-align: center; /* 水平居中 */ 
    justify-content: center; /* 水平居中 */
  align-items: center;     /* 垂直居中 */

}
 
.btn {
  margin: 5px auto; /* 水平居中，垂直间距 */
}

.Pdiv {
 flex-shrink:0;
 overflow: hidden; /* 清除浮动 */
 float: left; 
  margin-top:20px; 
 margin-left:20px;  
  width: 320px;
  height: 320px;
  background-color: white;
  padding: 20px;      /* 添加一些内边距 */
  border-width: 1px; /* 边框宽度 */
  border-style: solid; /* 边框样式 */
  border-color: rgb(204, 204, 204); /* 边框颜色 */

}

/* 导航列表样式 */
.nav-list2 {
    list-style-type: none; /* 移除列表前的点 */
    margin: 0;
    padding: 0;
	font-size:15px; 
	 
}
/* 导航项样式 */
.nav-list2 li {
    float: left; /* 使导航项水平排列 */
}
 
/* 导航链接样式 */
.nav-list2 li a {
    display: block; /* 使链接块级显示，填满整个导航项 */
    color: #FFFFFF; /* 文字颜色 */
    text-align: center; /* 文字居中 */
    padding: 12px 12px; /* 内边距 */
    text-decoration: none; /* 移除下划线 */
}
 
/* 链接 - 鼠标悬停 */
.nav-list2 li a:hover {
       color: #80A0F0; /* 文字颜色 */
}

 .footer {
	height: 80px; 
    width: 100%;
    background-color: #383838; /* 示例背景颜色 */
float: left; 
 display: flex; 
justify-content: center; /* 水平居中 */
  align-items: center;     /* 垂直居中 */
 color: #FFFFFF; 
 font-size: 12px;
  }
  

body{
	background: #FFFFFF;
}
.parent {
 
    margin-top: 20px;
  margin-bottom: 20px;
  width: 100%;
  height: 100%;
  /*弹性布局*/
  display: flex;
  justify-content: center; /* 水平居中 */
  align-items: center;     /* 垂直居中 */
  flex-flow: row wrap;
  /*可理解以盒子的左上角开始布局元素*/
  align-content: flex-start;
}
 
.child {

  /*固定盒子大小防止变形*/
  box-sizing: border-box;
flex: 0 0 33.33%;
height:440px;
 min-width:360px;
  /*弹性布局*/
  display: flex;
  /*换行*/
  flex-wrap: wrap;
  /*居中*/
  justify-content:center;

}
.Product_box{ 
  height: 98%;
  width: 98%;
  border: 1px solid red;
  border-color:#B0B0B0;

}
.center-Text2 {
  display: flex;
  justify-content: center; /* 水平居中 */
  align-items: center;     /* 垂直居中 */
  margin-left:10px;
    margin-right:10px; 
	
}

.horizontal-line {
  background-color: #DDDDDD;
    height: 1px;
    border: 0;
  width: 96%; /* 横线的宽度，可以是具体的像素值或百分比 */
    margin-top:8px;
  margin-left:2%;
}

.Left-Text {
  display: flex;
  justify-content: left; /* 水平居中 */
  align-items: center;     /* 垂直居中 */
  margin-left:10px; 
	  margin-Top:5px; 
}